/* Terraform - (C) 1997-2000 Robert Gasch (r.gasch@chello.nl)
 *  - http://212.187.12.197/RNG/terraform/
 *  - http://terraform.sourceforge.net
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#ifndef _GUI_DIALOG_REALLY_QUIT_H
#define _GUI_DIALOG_REALLY_QUIT_H 1


#include <gtk--/button.h>
#include <gtk--/label.h>

#include "GuiDialogYN.h"


/**
 *  GuiDialogReallyQuit: display a configurable Yes/No question.
 */
class GuiDialogReallyQuit : public GuiDialogYN
	{
	public: 
				GuiDialogReallyQuit (const char *title, const char *message); 
				~GuiDialogReallyQuit (); 
		void		fillVBox ();
		void		setLabel (char *s);
		void 		buttonCallbackYes ();
		void 		buttonCallbackNo ();
		Gtk::Button	*getYesButton () const	{ return const_cast<Gtk::Button*>(&(this->d_btnYes)); }
		Gtk::Button	*getNoButton () const	{ return const_cast<Gtk::Button*>(&(this->d_btnNo)); }
		bool		yesPressed () const 	{ return b_Yes; } 

	private:
		gint 			delete_event_impl (GdkEventAny *);

		bool			b_Yes;
		char			*p_message;
		Gtk::Label		*p_label;
	};


#endif // _GUI_DIALOG_REALLY_QUIT_H
